/* Estilos Gerais */

* {
  margin: 0;
  padding: 0;
}

body {
  background-color: snow;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  font-size: 20px;
  line-height: 1.5em;
}

a {
  text-decoration: none;
}

a:link,
a:visited {
  color: #1f2f30ff;
}

a:hover {
  text-decoration: underline;
}

.navbar-nav {
  display: flex;
  align-items: center;
}

.nav-principal,
li,
a {
  color: white;
}

.navbar-nav .nav-item {
  padding: 0 5px;
}

.navbar-nav .btn {
  margin-top: 5px; /* ajuste conforme necessário */
  margin-bottom: 5px; /* ajuste conforme necessário */
}

#nav-principal a:link,
#nav-principal a:visited {
  color: #eeeeee;
  padding: 8px 12px;
}

#nav-principal a:hover {
  color: #1f2f30ff;
  background: #fff;
  text-decoration: none;
}

.bg-color {
  background-color: #1f2f30ff;
}

.bg-color:hover {
  background-color: #1f2f30ff;
}

.cadastro {
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  font-size: 40px;
  font-weight: bold;
}

.card-titulo {
  margin-bottom: 0.75rem;
  font-size: 85px;
  font-weight: 300;
  color: #ffffff;
}

.card-texto {
  margin-bottom: 0;
  color: #ffffff;
}

.jumbotrons2 {
  padding: 2rem 1rem;
  margin-bottom: 2rem;
  background-color: #e9ecef;
  border-radius: 0.3rem;
  background-image: url(../img/background.png);
  background-repeat: no-repeat;
}

.containersize {
  text-align: left; /* Ajuste o alinhamento horizontal conforme necessário */
  padding: 13rem 23rem;
  min-width: 992px !important;
}

.botao {
  display: inline-block;
  font-weight: 400;
  color: #ffffff;
  text-align: center;
  vertical-align: middle;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  background-color: transparent;
  border: 1px solid transparent;
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  line-height: 1.5;
  border-radius: 0.25rem;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
    border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  background-color: transparent;
  border-color: #ffffff;
  padding: 0.5rem 1rem;
  font-size: 1.25rem;
  line-height: 1.5;
  border-radius: 0.3rem;
}

.botao:link,
.botao:visited {
  color: #ffffff;
}

.botao:active {
  background-color: #ffffff;
  color: #1f2f30ff;
}

.botao:hover {
  background-color: #ffffff;
  color: #1f2f30ff;
}

.botao:focus {
  outline: 0;
}

/* Estilos Gerais da Lis */

:root {
  --jumbotron-padding-y: 3rem;
}

.jumbotron {
  padding-top: var(--jumbotron-padding-y);
  padding-bottom: var(--jumbotron-padding-y);
  margin-bottom: 0;
  background-color: #fff;
}

@media (min-width: 768px) {
  .jumbotron {
    padding-top: calc(var(--jumbotron-padding-y) * 2);
    padding-bottom: calc(var(--jumbotron-padding-y) * 2);
  }
}

.jumbotron p:last-child {
  margin-bottom: 0;
}

.jumbotron-heading {
  font-weight: 300;
}

.jumbotron .container {
  max-width: 40rem;
}

footer {
  padding-top: 3rem;
  padding-bottom: 3rem;
}

footer p {
  margin-bottom: 0.25rem;
}

.box-shadow {
  box-shadow: 0 0.25rem 0.75rem rgba(0, 0, 0, 0.05);
}

/* Estilos Gerais da Tatiana */

.page {
  display: flex;
  flex-direction: column;
  align-items: center;
  align-content: center;
  justify-content: center;
  width: 100%;
  height: 100vh;
  background-color: snow;
}

.areaLogin img {
  width: 420px;
}

.login-form {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 350px;
  margin: 2px;
  padding: 40px;
  border-radius: 5%;
  transform: translate(-50%, -50%);
  border-radius: 15%;
  color: #1f2f30ff;
  box-shadow: 10px 10px 40px #1f2f30ff;
  gap: 5px;
}

.login-form h2 {
  margin-top: 0;
}

.login-form input {
  width: 280px;
  padding: 10px;
  margin: 10px 0px;
  font-size: 0.85em;
  border: none;
  transition: all linear 160ms;
  outline: none;
}

.login-form button {
  width: 280px;
  padding: 10px;
  margin: 10px 0px;
  color: white;
  background-color: #1f2f30ff;
  border: none;
  cursor: pointer;
  font-size: 2, 3em;
}

button:hover {
  color: white;
  background-color: #283d3e;
}

input:hover {
  background-color: #beeee000;
}

/* Estilos página Sobre Nos - Tatiana */
#sobre-nos {
  font-family: Verdana;
  background-color: snow;
  padding: 5%;
  width: max-content;
  height: min-content;
  margin: 1px 0;
  border-radius: 4%;
  border: 1px solid snow;
  top: 22%;
  position: sticky;
  text-align: justify;
  box-shadow: 2px 2px 5px #6d8485;
  transform: translate(2%, 24%);
  display: grid;
}
#sobre-nos h1 {
  font-size: 40px;
  margin-bottom: 5px;
  font-weight: bold;
}
#sobre-nos p {
  font-size: 16px;
  line-height: 1.5em;
  list-style-type: none;
  margin-bottom: 3px;
}
#sobre-nos a {
  color: #000;
  text-decoration: none;
}
#sobre-nos a:hover {
  color: #87cceb;
  text-decoration: underline;
}
#img {
  float: right;
  margin-left: 2%;
  border-radius: 10%;
  position: relative;
  padding: 2px;
  top: 30%;
  max-width: 250px;
  max-height: 250px;
  width: -60px;
  height: -80%;
  transform: translate(-10%, 20%);
}
.container > div > img {
  width: max-content;
  height: auto;
  object-fit: cover;
}

/* Media query para telas menores que 1200px */
@media (max-width: 1200px) {
  #sobre-nos {
    position: static;
    transform: none;
    width: 100%;
    margin-bottom: 20px;
    margin-top: 30%;
  }
  #img {
    float: none;
    margin: 0 auto;
    display: block;
    position: static;
    transform: none;
    max-width: 100%;
    height: auto;
  }
}

/* Estilos Gerais do Lucas */
h4 {
  margin-left: 70px;
  margin-top: 100px;
  float: left;
}

h4:hover {
  color: #000;
  text-decoration: none;
}

form {
  margin-top: 25px;
  float: left;
}

.btn-1 {
  color: #000;
  text-decoration: none;
}

.btn-1:hover {
  color: #000;
}

.btn-2 {
  width: 250px;
  height: 35px;
  color: white;
  border-radius: 5px;
  margin-left: 100px;
  margin-right: 30px;
  margin-top: 10px;
  margin-bottom: 10px;
}

.btn-3 {
  width: 250px;
  height: 35px;
  color: white;
  border-radius: 5px;
  margin-left: 100px;
  margin-top: 10px;
  margin-bottom: 10px;
}

.linha-vertical {
  height: 100vh;
  border-left: 1px solid;
  margin-left: 300px;
}

.centered {
  display: block;
  max-width: 50rem;
  margin: 0 auto;
}

.btn-exc {
  position: fixed;
  bottom: 1rem; /* Define a distância do botão em relação à parte inferior da tela */
  left: 1rem; /* Define a distância do botão em relação à esquerda da tela */
  z-index: 1000; /* Assegura que o botão fique acima de outros elementos */
}

@media (min-width: 990px) {
  .linha-vertical {
    height: 100vh;
    border-left: 1px solid;
    margin-left: 300px;
  }
}

@media screen and (max-width: 768px) {
  h4 {
    margin-left: 20px; /* Reduzir margem para telas menores */
    margin-top: 20px; /* Reduzir margem para telas menores */
    float: none; /* Remover float para que h4 não flutue */
  }

  form {
    margin-top: 15px; /* Ajustar margem superior do form */
  }

  .btn-2,
  .btn-3,
  .btn-exc {
    width: 100%; /* Botões ocupam largura total */
    margin-left: 0; /* Remover margem esquerda */
    margin-right: 0; /* Remover margem direita */
  }

  .linha-vertical {
    height: auto; /* Altura automática para ocupar o espaço disponível */
    margin-left: 0; /* Remover margem esquerda */
    border-left: none; /* Remover a borda esquerda */
  }

  .centered {
    max-width: 100%; /* Largura máxima para o conteúdo centralizado */
  }

  .btn-exc {
    position: static; /* Remove o alinhamento à esquerda */
  }

  /* Adicionar mais ajustes caso necessário */
}

/* Estilos Gerais do João */

/* Mudar o nome do input para imagem */
input[type="file"] {
  display: none;
}

#image {
  margin: 100px 0px;
  width: 350px;
  height: 350px;
  float: right;
}

.image-wrapper label {
  background-color: #3498db;
  border-radius: 5px;
  color: #fff;
  margin: 10px;
  padding: 6px 20px;
}

.image-wrapper label:hover {
  background-color: #2980b9;
}

#btnSaveModal {
  margin-left: 52px;
  margin-bottom: 10px;
}

/* Style all input fields */
input {
  width: 100%;
  padding: 12px;
  border: 1px solid snow;
  border-radius: 4px;
  box-sizing: border-box;
  margin-top: 6px;
  margin-bottom: 16px;
}

/* Style the submit button */
input[type="submit"] {
  background-color: #04aa6d;
  color: white;
}

/* The message box is shown when the user clicks on the password field */
#message {
  display: none;
  background: white;
  color: #000;
  position: relative;
  padding: 10px;
  margin-top: 10px;
}

#message p {
  padding: 10px 25px;
  font-size: 18px;
}

/* Add a green text color and a checkmark when the requirements are right */
.valid {
  color: green;
}

.valid:before {
  position: relative;
  left: -25px;
  content: "✔";
}

/* Add a red text color and an "x" when the requirements are wrong */
.invalid {
  color: red;
}

.invalid:before {
  position: relative;
  left: -25px;
  content: "✖";
}